<?php
require('../../../QPlatform/Common/Component/ComInitialHead.php');
require($netsFileConfig['sysCoreRoot_Real'].'Inc/m_Gsnavigation/Gsnavigation/gsnavigationactivegroup.php');

class PaDefault extends CustomPage {
	public $ssetParid=1;
	
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnPInitial(){
		$this->checkUser('1,2,3,');
		$this->sTable=array(
			array('sttTableName'=>$this->sysTableHead.'gsnavigationactivegroup','sttColumnHead'=>'gsnagt'),
			array('sttTableName'=>$this->sysTableHead.'gsnavigationactivegroupcont','sttColumnHead'=>'gsnagct'),);
		$this->sUiName='Platform/gsnavigation/gsnavigationactivegroup';
	}
	public function OnBInitial(){
		$this->sMetaTitle='团购活动分类';
		$this->sLimitCount=1;
		$this->sDb->sysDbCacheClear=array('nets/options_Groupsalenavigation_Activegroup');
		$this->sApp=new gsnavigationactivegroup($this->sConnString);
		//Parid
		$tmpAR0=$this->sControl->sDbInTemplate;
		$tmpAR0['Connection']=$this->sConnString;
		$tmpAR0['SQL']=' SELECT A.gsnagtID,A.gsnagtName,A.gsnagtParid FROM '.$this->sysTableHead.'gsnavigationactivegroup AS A
			WHERE 1=1 AND A.gsnagtRecycle=0 AND A.gsnagtChecked>1 AND A.gsnagtParid={Nets.Parid}
			ORDER BY A.gsnagtOrderBy DESC,A.gsnagtID DESC ';
		$tmpAR0['SQL0']=' SELECT A.gsnagtID,A.gsnagtName,A.gsnagtParid FROM '.$this->sysTableHead.'gsnavigationactivegroup AS A
			WHERE 1=1 AND A.gsnagtRecycle=0 AND A.gsnagtChecked>1 AND A.gsnagtID={Nets.Parid}
			ORDER BY A.gsnagtOrderBy DESC,A.gsnagtID DESC ';
		$tmpAR0['InitialString']=$this->ssetParid;
		$tmpAR0['Parid']='gsnagtID';
		$tmpAR0['Text']='gsnagtName';
		$tmpAR0['Value']='gsnagtID';
		$tmpAR0['Type']=0;
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		$tmpCacheFlag='nets/options_Groupsalenavigation_Activegroup';
		$this->sControl->getOptions($tmpAR0,$tmpCacheFlag,$this->sControl->sDpReturnTemplate,$this->sParid1);
		$this->sParid2=$this->sParid1;
		$tmpAR0=$this->sControl->sDpReturnTemplate;
		$tmpAR0['Text']='[所有分类]';
		$tmpAR0['Value']='-1';
		$tmpAR0['Style']='';
		$tmpAR0['Title']='';
		$tmpAR0['AddOne']='';
		array_push($this->sParid2,$tmpAR0);
		
		
	}
	public function OnList(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'gsnagtID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',-1',0);
		//#Spell sql
		$tmpSQL=' SELECT A.gsnagtID,A.gsnagtName,A.gsnagtParid
			FROM '.$this->sysTableHead.'gsnavigationactivegroup AS A 
			WHERE 1=1 
			AND A.gsnagtID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.gsnagtName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!='-1'){
			$tmpSQL.=' AND A.gsnagtParid='.$this->sSearchData[1].' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sPButton->sPage=$this->sysPage;
		$this->sPButton->sExtendParameter='&'.$tmpSTR2.'='.$this->sSearchData[0].$this->sysSPLIT1.$this->sSearchData[1];
		$this->sPButton->setPage($this->sDb->sysPageInfo);
		$this->sPButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'gsnagtID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'gsnagtName','stcoctUiName'=>'团购活动分类名称');
		
		return 0;
	}
	public function OnExternal_Search(){
		//-- ------ #Search data ------ --
		$tmpSTR0='DList0';
		$tmpAR0=$this->getQueryString($tmpSTR0);
		$tmpSTR1='DSort0';
		$tmpAR1=$this->AnalyerRequest($tmpSTR1,'gsnagtID,2',0);
		$tmpSTR2='Search0';
		$this->sSearchData=$this->AnalyerRequest($tmpSTR2,',,-1',0);
		$this->sExternal_SearchData=$this->AnalyerRequest($this->sActionType,',-1',0);
		//#Spell sql
		$tmpSQL=' SELECT A.gsnagtID,A.gsnagtName,A.gsnagtParid
			FROM '.$this->sysTableHead.'gsnavigationactivegroup AS A 
			WHERE 1=1 
			AND A.gsnagtID>'.$this->sLimitCount;
		if($this->sSearchData[0]!=''){
			$tmpSQL.=' AND A.gsnagtName LIKE \'%'.$this->sSearchData[0].'%\' ';
		}
		if($this->sSearchData[1]!='-1'){
			$tmpSQL.=' AND A.gsnagtParid='.$this->sSearchData[1].' ';
		}
		if($tmpAR1[1]==1){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' ';
		}else if($tmpAR1[1]==2){
			$tmpSQL.=' ORDER BY '.$tmpAR1[0].' DESC ';
		}
		$this->sListData=$this->sDb->SearchP($tmpSQL,$tmpAR0);
		//#Set page button
		$this->sExtendParameter='&ActionType='.$this->sActionType.'&'.$this->sActionType.'='.$this->sExternal_SearchData[0].','.$this->sExternal_SearchData[1];
		$this->sysPages[0]=$this->sysPage.'?'.$this->sExtendParameter;
		
		$this->sPButton->sPage=$this->sysPage;
		$this->sPButton->sExtendParameter='&'.$tmpSTR2.'='.$this->sSearchData[0].$this->sExtendParameter;
		$this->sPButton->setPage($this->sDb->sysPageInfo);
		$this->sPButton->setSort($tmpAR1);
		$this->sSortButton[0]=array('stcotName'=>'gsnagtID','stcoctUiName'=>'编号');
		$this->sSortButton[1]=array('stcotName'=>'gsnagtName','stcoctUiName'=>'团购活动分类名称');
		
		return 0;
	}
	public function OnExternal_ChildChoose(){
		//-- ------ #Search data ------ --
		$tmpSTR0='External_ChildChoose';
		$this->sExternal_ChildChooseSData=$this->AnalyerRequest($tmpSTR0,'0,,0,0',0);
		//#Spell sql
		$tmpSQL='';
		if($this->sExternal_ChildChooseSData[0]==0 || $this->sExternal_ChildChooseSData[0]==2){
			//-- Same grade --
			$tmpSQL=' SELECT A.gsnagtID,A.gsnagtName,A.gsnagtParid 
				FROM '.$this->sysTableHead.'gsnavigationactivegroup AS A
				WHERE 1=1 AND A.gsnagtRecycle=0 AND A.gsnagtChecked>1 AND 
				A.gsnagtParid=(SELECT gsnagtParid FROM groupsalenavigationactivegroup WHERE 1=1 AND gsnagtRecycle=0 AND gsnagtChecked>1 AND gsnagtID={Nets.ID})
				ORDER BY A.gsnagtOrderBy DESC,A.gsnagtID DESC ';
		}else if($this->sExternal_ChildChooseSData[0]==1 || $this->sExternal_ChildChooseSData[0]==3){
			//-- Child grade --
			$tmpSQL=' SELECT A.gsnagtID,A.gsnagtName,A.gsnagtParid 
				FROM '.$this->sysTableHead.'gsnavigationactivegroup AS A
				WHERE 1=1 AND A.gsnagtRecycle=0 AND A.gsnagtChecked>1 AND A.gsnagtParid={Nets.ID}
				ORDER BY A.gsnagtOrderBy DESC,A.gsnagtID DESC ';
		}
		$tmpSTR=str_replace('{Nets.ID}',$this->sExternal_ChildChooseSData[2],$tmpSQL);
		$this->sExternal_ChildChooseData=$this->sDb->Search($tmpSTR);
		
		return 0;
	}
	public function OnNormal(){
		$tmpINT=0;
		$tmpAR0=$this->AnalyerRequest('Normal','0,0',0);
		
		$tmpSQL=' SELECT * 
			FROM '.$this->sysTableHead.'gsnavigationactivegroup AS A 
			INNER JOIN '.$this->sysTableHead.'gsnavigationactivegroupcont AS B ON B.gsnagctIndexID=A.gsnagtID ';
		$Coun0=2;
		foreach ($this->sTable as $Row0){
			if (count($this->sTable)>2) {
				$tmpSQL.=' INNER JOIN '.$Row0['sttTableName'].' AS '.$this->sysTableMark[$Coun0].' ON '.$this->sysTableMark[$Coun0].'.'.$Row0['sttColumnHead'].'IndexID=A.gsnagtID ';
				$Coun0++;
			}
		}
		$tmpSQL.=' WHERE 1=1 AND A.gsnagtID='.$tmpAR0[0].' ';
		$tmpDataCollection0=$this->sDb->Search($tmpSQL);
		if(count($tmpDataCollection0)>0){
			$tmpRow=$tmpDataCollection0[0];
			$this->sMainID=$tmpRow[$this->sTable[0]['sttColumnHead'].'ID'];
			//-- #Get value --
			$Coun0=0;
			while (count($this->sUiDescription_Normal)>$Coun0) {
				if(isset($tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']])){
					$this->sUiDescription_Normal[$Coun0]['Value']=$tmpRow[$this->sUiDescription_Normal[$Coun0]['stcotName']];
					//-- ------ #Spical set ------ --
					if($this->sUiDescription_Normal[$Coun0]['stcotName']=='gsnagtParid'){
					}else if($this->sUiDescription_Normal[$Coun0]['stcotName']=='gsnagtModelid_Detail'){
						$this->sUiDescription_Normal[$Coun0]['Value']=$this->sMainTableid;
					}
				}
				$Coun0++;
			}
		}else {
			$Coun0=0;
			foreach($this->sUiDescription_Normal as $Row0){
				if($Row0['stcotName']=='gsnagtTableid'){
					$this->sUiDescription_Normal[$Coun0]['Value']=$this->sMainTableid;
				}
				$Coun0++;
			}
		}
	}
	
	public function DefUiPanel(&$pColumn,$pFlag){
		parent::DefUiPanel($pColumn,$pFlag);
		if($pColumn['stcotName']=='gsnagtParid' && $pFlag=='Search'){
			$pColumn['Option']=$this->sParid2;
		}else if($pColumn['stcotName']=='gsnagtParid' && ($pFlag=='Normal' || $pFlag=='List')){
			$pColumn['Option']=$this->sParid1;
		}
		return $pColumn;
	}
}
//-- ------ #Instanct ------ --
$tmpDefault=new PaDefault();
$tmpDefault->OnPage();
$tmpControls=new CustomControls();
$tmpControlPage=new CustomControlPage();
$tmpComHead->sMenuid=$tmpDefault->sMenuid;
$tmpDefault->sysMetaTitle=$tmpDefault->sMetaTitle.' - '.$tmpDefault->sysFileConfig['sysTitle'];
//-- ------ #Template ------ --
require($tmpDefault->sysFileConfig['sysCoreRoot_Real'].$tmpDefault->sysQPlatformTemplatePath.'Component/Group_0.php'); ?>